Limitations for shared Eclipse 3.4.x-based IBM product installations

Product documentation


Abstract

Problems can occur when you install Eclipse 3.4.x-based products into a shared package group (shell sharing) using Installation Manager.

Content

For information about which products can share a package group, see the following technote: http://www.ibm.com/support/docview.wss?rs=2042&uid=swg21279139

For limitations for other versions of Eclipse, see http://www.ibm.com/support/docview.wss?uid=swg27014124.


Cannot upgrade certain Rational products when shell sharing with certain Integrated Data Management products

If you select the option to install one of the products in list 1 in a language other than English, the Rational products in list 2 are not compatible, and IBM Installation Manager will not allow you to install them into the same package group.

List 1:

  • Data Studio (IDE package) version 2.2 or 2.2.0.1
  • InfoSphere Data Architect version 7.5.2 or 7.5.2.1
  • Optim Database Administrator for DB2 for Linux, UNIX and Windows version 2.2, 2.2.1, or 2.2.2
  • Optim Development Studio version 2.2 or 2.2.0.1
  • Optim Query Tuner client version 2.2 or 2.2.0.1

List 2:
  • Rational Application Developer version 7.5.5
  • Rational Software Architect version 7.5.5
  • Rational Software Modeler version 7.5.5
  • Rational Developer for System z version 7.6.0.1


To work around this issue, you can modify your installation to remove all non-English languages. You will then be able to install the products into the same package group.

Cannot tune queries:
An error is displayed when you try to tune queries, if you have followed these steps:

1. Install one or more of the following products into the same package group:

  • IBM Optim Database Administrator for DB2 for Linux, UNIX, and Windows Version 2.2
  • Optim Development Studio, Version 2.2
  • InfoSphere Data Architect Version 7.5.2

2. Create one or more workspaces in which the Project Explorer view is not open.

3. Install Optim Query Tuner for DB2 for Linux, UNIX and Windows Version 2.2 into the same package group.

4. Open any of these products, using one of the workspaces that you created in step 2.
To work around this issue, ensure that the Project Explorer view is open before you try to tune a query. To open this view, select Window > Show View > Project Explorer.

Problems creating a new COBOL or PL/1 stored procedure:
In the following shared installation configuration, you cannot use a wizard to create a new COBOL or PL/1 stored procedure:

Rational Developer for System z Verson 7.5 + (Data Studio Developer Version 2.1 OR Rational Application Developer Version for WebSphere Software 7.5.1 OR Rational Software Architect Version 7.5.1 OR InfoSphere Data Architect Version 7.5.1)

Web service deployment fails:
In the following shared installation configuration, an error is displayed when you attempt to deploy a Web service to WebSphere Application Server or WebSphere Application Server Community Edition.

(Rational Data Architect Version 7.5 OR InfoSphere Data Architect Version 7.5.1) + (Rational Application Developer for WebSphere Software Version 7.5.1 OR Data Studio Developer Version 2.1)

For more information and a workaround for this issue, see the following technote: http://www.ibm.com/support/docview.wss?rs=3368&uid=swg21329476

Cannot open the logical data model editor after UML-to-logical data model transformation:
In the following shared installation configuration, an error is displayed after UML-to-logical data model transformation that indicates that the editor cannot be opened:

InfoSphere Data Architect Version 7.5.1 + WebSphere Business Modeler Version 6.2.0 + (Rational Software Architect Version 7.5.1 OR Rational Software Modeler Version 7.5.1)

To work around this issue, close and reopen the product after performing the transformation.

Multiple error messages are displayed during logical to UML model transformation
In the following shared installation configuration, Multiple error messages are displayed during logical to UML model transformation. The transformation completes successfully.

InfoSphere Data Architect Version 7.5.1 + (Rational Software Architect Version 7.5.1 OR Rational Software Modeler Version 7.5.1)

You can ignore these errors.

InfoSphere Data Architect (formerly Rational Data Architect) and Rational Software Architect/Rational Software Modeler must be at the same release level in order to shell share
Due to shared modeling code, you might see unpredictable results if you install InfoSphere Data Architect and Rational Software Architect or Rational Software Modeler into the same package group at different release levels. Use the suggested combinations in the following technote when you are installing these products together:

http://www.ibm.com/support/docview.wss?rs=2042&uid=swg21279139


Cross reference information
Segment Product Component Platform Version Edition
Information Management Data Studio Linux, Windows 2.1 IBM Data Studio Developer
Software Development Rational Developer for System z Windows 7.5, 7.6
Information Management InfoSphere Data Architect Linux, Windows 7.5.1, 7.5.2, 7.5.2.1, 7.5.2.2, 7.5.3, 7.5.3.1, 7.6
Software Development Rational Software Architect for WebSphere Software Linux, Windows 7.5, 7.5.1, 7.5.5
Software Development Rational Application Developer for WebSphere Software Linux, Windows 7.5.5.1, 7.5.5.5
Business Integration WebSphere Business Modeler Basic Windows 6.2
Software Development Rational Software Modeler Windows, Linux 7.5.1, 7.5.5
Software Development Rational Software Architect Standard Edition Linux, Windows 7.5, 7.5.1, 7.5.5
Information Management Optim Development Studio Linux, Windows 2.2, 2.2.0.1, 2.2.0.2, 2.2.0.3, 2.2.1, 2.2.1.1
Information Management Optim Query Tuner Client Windows, Linux 2.2.0, 2.2.0.1, 2.2.0.2, 2.2.1, 2.2.1.1, 3.1
Information Management Optim Database Administrator for DB2 for Linux- UNIX and Windows Linux, Windows 2.2, 2.2.1, 2.2.2, 2.2.2.1, 2.2.3, 2.2.3.1

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

IBM Data Studio
Installation/Migration

Software version:

2.1, 2.2, 2.2.0.1, 2.2.0.2, 2.2.1, 2.2.1.1, 3.1

Operating system(s):

Linux, Windows

Reference #:

7024943

Modified date:

2013-12-04

Translate my page

Machine Translation

Content navigation